Skip to main content
GET
Call Details

Headers

string
required
Your API key for authentication.
string
Use your own Twilio account and only return inbound numbers associated with that account sid (optional).

Path Parameters

string
required
The unique identifier of the call for which you want to retrieve detailed information.

Response

array of objects
An array of phrases spoken during the call.Each index includes:
  • id
  • created_at
  • text
  • user (can be user, assistant, robot, or agent-action)
number
The unique identifier for the call.
number
The length of the call in minutes.
string
Number that the person was transferred to.
string
If the call is part of a batch, it’s batch_id will be here.
string
The phone number that received the call.
string
The phone number that made the call.
object
Details about parameters in the original api request.
boolean
Whether the call has been completed. If it differs from the value of ‘queue_status’, this will be the most up-to-date status.
boolean
Whether the call was inbound or outbound. Will be false for outbound calls.
string
The timestamp for when the call request was created.
string
The time the call was connected.
string
The time that the call will automatically be ended at if it’s still connected (because of max_duration).
string
The status of the call. During extremely high volume periods, calls may be queued for a short period of time before being dispatched.
Progresses through the following stages:
  • new: An API request has been received.
  • queued: Call pararameters have been validated and authentication succeeded.
  • allocated: Extremely brief, the call is being dispatched.
  • started: The phone call is live and in progress.
  • complete: The phone call has ended successfully.
The following statuses show the point that was reached before an error:
  • pre_queue_error: An error occurred before the call was queued. Invalid parameters generally cause this.
  • queue_error: Error occurred while the call was queued. Ex. Valid phone number but to an unserviced area.
  • call_error: Error occurred during live call. May be caused by transferring to an invalid phone number or an unforeseen error.
  • complete_error: Error occurred after the call was completed. Ex. A post-call webhook failed.
If at any point an error occurs, it will be recorded in the error_message field.
string
The url of the deployment that the call was handled on. Will always be “api.prod.luly.ai” unless the call was handled on a custom Enterprise deployment.
number
The maximum length of time the call was allowed to last. If the call would exceed this length, it’s ended early.
string
If an error occurs, this will contain a description of the error. Otherwise, it will be null.
object
Variables created during the call - both system variables as well as generated with dynamic_data or Custom Tools.For example, if you used a dynamic_data API request to generate a variable called appointment_time, you would see it here (both the agent’s inputs and the response variables).
string
If answered_by_enabled was set to true in the original API request, this field contains one of the following values:
  • human: The call was answered by a human.
  • voicemail: The call was answered by an answering machine or voicemail.
  • unknown: There was not enough audio at the start of the call to make a determination.
  • no-answer: The call was not answered.
  • null: Not enabled, or still processing the result.
If answered_by_enabled was set to true, then webhooks may take up to a minute to fire after the call ends while the call audio is processed.
  • Determinations are based on audio from the first five seconds of the phone call.
  • unknown is most likely a human, especially if there are multiple transcripts.
  • Optimize calls for accurate results by getting humans to respond in the first five seconds:
    • Increase speed in voice_settings
    • Use with wait_for_greeting
    • Use a short greeting in first_sentence such as "Hello?" or "Hi, is this {{name}}?"
boolean
Whether the call audio was recorded.
string
The URL of the recording of the call. Only available if record was set to true in the original API request.
object
Metadata about the call. This can include information about the client, customer, or any other data you want to include.This is identical to the metadata that was set in the original API request to send the call.
string
A short summary of the call based off of the transcript that’s generated when the call ends.
number
The cost of the call in USD.
boolean
Whether Local Dialing was enabled for your account at the time of the call.
string
Whether the call was ended by Luly’s system or the other end of the line.
  • ASSISTANT: The agent ended the call.
  • USER: The user ended the call.
string
Pathways calls will have extra logs here that have much more detailed information about the chosen nodes and internal reasoning throughout the flow.
object
The provided structure used in the post call analysis. This is the raw skeleton describing the data structure that will be filled in once the call ends.
object
The data filled in by the post call analysis. This is the raw data that was generated by the analysis schema.
string
A single string containing all of the text from the call. Excludes system messages and auto-generated data.
array of objects
An array of phrases spoken during the call.Each index includes:
  • id
  • created_at
  • text
  • user (can be user, assistant, robot, or agent-action)
string
The status of the call. This is the most up-to-date status of the call, but is only present for calls that have been successfully created.
string
The corrected duration of the call in seconds. This is the actual length of the call, not the max_duration.